#include "mbed.h"
#include "hcsr04.h"

Serial to_main(dp4,dp5);

HCSR04 front(dp24,dp25);
HCSR04 back(dp22,dp23);
HCSR04 right(dp20,dp21);
HCSR04 left(dp18,dp19);

Ticker tick;

char dist[4]= {0};

void put()
{
    to_main.putc(1);
    to_main.putc(dist[0]);
    to_main.putc(dist[1]);
    to_main.putc(dist[2]);
    to_main.putc(dist[3]);
}

int main()
{
    to_main.baud(9600);
    tick.attach(&put, 0.05);
    while(1) {
        front.start();
        back.start();
        right.start();
        left.start();
        if(front.get_dist_cm()>255)
            dist[0]=255;
        else
            dist[0]=front.get_dist_cm();
        if(back.get_dist_cm()>255)
            dist[1]=255;
        else
            dist[1]=back.get_dist_cm();
        if(right.get_dist_cm()>255)
            dist[2]=255;
        else
            dist[2]=right.get_dist_cm();
        if(left.get_dist_cm()>255)
            dist[3]=255;
        else
            dist[3]=left.get_dist_cm();
    }
}
